package CRSDK;

@SuppressWarnings("unused")
public enum CrCommandId {
    CrCommandId_Release(0),
    CrCommandId_MovieRecord(1),
    CrCommandId_CancelShooting(2),
    CrCommandId_MediaFormat(4),
    CrCommandId_MediaQuickFormat(5),
    CrCommandId_CancelMediaFormat(6),
    CrCommandId_S1andRelease(7),
    CrCommandId_CancelContentsTransfer(8),
    CrCommandId_CameraSettingsReset(9),
    CrCommandId_APS_C_or_Full_Switching(10),
    CrCommandId_MovieRecButtonToggle(11),
    CrCommandId_CancelRemoteTouchOperation(12),
    CrCommandId_PixelMapping(13),
    CrCommandId_TimeCodePresetReset(14),
    CrCommandId_UserBitPresetReset(15),
    CrCommandId_SensorCleaning(16),
    CrCommandId_PictureProfileReset(17),
    CrCommandId_CreativeLookReset(18),
    CrCommandId_PowerOff(19),
    CrCommandId_CancelFocusPosition(20),
    CrCommandId_FlickerScan(21),
    CrCommandId_ContinuousShootingSpotBoost(22),
    CrCommandId_ForcedFileNumberReset(23),
    CrCommandId_TrackingOnAndAFOn(24),
    CrCommandId_CancelZoomPosition(25),
    CrCommandId_MovieRecButtonToggle2(26),
    CrCommandId_CameraStandBy(27),
    CrCommandId_PowerOn(28),
    CrCommandId_StreamButton(29),
    CrCommandId_ResetMultiMatrix(30),
    CrCommandId_RemoteKeyUp(31),
    CrCommandId_RemoteKeyDown(32),
    CrCommandId_RemoteKeyLeft(33),
    CrCommandId_RemoteKeyRight(34),
    CrCommandId_RemoteKeyCancelBackButton(35),
    CrCommandId_RemoteKeyDisplayButton(36),
    CrCommandId_RemoteKeySet(37),
    CrCommandId_RemoteKeyRightUp(38),
    CrCommandId_RemoteKeyRightDown(39),
    CrCommandId_RemoteKeyLeftUp(40),
    CrCommandId_RemoteKeyLeftDown(41),
    CrCommandId_RemoteKeyMenuButton(42);

    private final int code;
    CrCommandId(int code) {
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
